import os

try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

description = 'Tool to create AMIs with Ansible'
long_description = description
if os.path.exists('README.rst'):
    with open('README.rst') as f:
        long_description = f.read()

config = {
    'description': description,
    'long_description': long_description,
    'author': 'Joseph Wright',
    'url': 'https://github.com/cloudboss/bossimage',
    'download_url': 'https://github.com/cloudboss/bossimage/releases',
    'author_email': 'rjosephwright@gmail.com',
    'version': '0.5',
    'install_requires': [
        'ansible',
        'boto3',
        'click',
        'pywinrm',
        'voluptuous',
        'xmltodict',
    ],
    'packages': ['bossimage'],
    'package_data': {
        'bossimage': ['*.txt']
    },
    'entry_points': {
        'console_scripts': ['bi = bossimage.cli:main']
    },
    'name': 'bossimage'
}

setup(**config)
